Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class GetPasswordDataRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.GetPasswordDataRequest

    public class GetPasswordDataRequest

extends AmazonWebServiceRequest

Container for the parameters to the `GetPasswordData operation`.

Retrieves the encrypted administrator password for the instances running Windows.

NOTE: The Windows password is only generated the first time an AMI is launched. It is not generated for rebundled AMIs or after the password is changed on an instance. The password is encrypted using the key pair that you provided.

See Also:
  `AmazonEC2.getPasswordData(GetPasswordDataRequest)`

Constructor Summary
`GetPasswordDataRequest()`

Method Summary
`String` | `getInstanceId()` The ID of the instance for which you want the Windows administrator password.
`void` | `setInstanceId(String instanceId)` The ID of the instance for which you want the Windows administrator password.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetPasswordDataRequest` | `withInstanceId(String instanceId)` The ID of the instance for which you want the Windows administrator password.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetPasswordDataRequest

    public GetPasswordDataRequest()

Method Detail

### getInstanceId

    public String getInstanceId()

  The ID of the instance for which you want the Windows administrator password.

  Returns:
    The ID of the instance for which you want the Windows administrator password.

### setInstanceId

    public void setInstanceId(String instanceId)

  The ID of the instance for which you want the Windows administrator password.

  Parameters:
    `instanceId` - The ID of the instance for which you want the Windows administrator password.

### withInstanceId

    public GetPasswordDataRequest withInstanceId(String instanceId)

  The ID of the instance for which you want the Windows administrator password.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - The ID of the instance for which you want the Windows administrator password.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.